com.io7m.r2.core

## Interface R2MatricesObserverValuesType

- All Superinterfaces:
    R2MatricesValuesType
  All Known Subinterfaces:
    R2MatricesObserverType

      public interface R2MatricesObserverValuesType
      extends R2MatricesValuesType

  Access to the matrices for a given observer.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceEyeType,R2SpaceClipType>` | `matrixProjection()`
    `com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceClipType,R2SpaceEyeType>` | `matrixProjectionInverse()`
    `com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceWorldType,R2SpaceEyeType>` | `matrixView()`
    `com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceEyeType,R2SpaceWorldType>` | `matrixViewInverse()`
    `R2ProjectionReadableType` | `projection()`
    `R2ViewRaysReadableType` | `viewRays()`

    - ### Methods inherited from interface com.io7m.r2.core.R2MatricesValuesType

      `transformContext`

- - ### Method Detail

    - #### projection

          R2ProjectionReadableType projection()

      Returns:
        The current projection

    - #### matrixProjection

          com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceEyeType,R2SpaceClipType> matrixProjection()

      Returns:
        The current projection matrix for an observer

    - #### matrixProjectionInverse

          com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceClipType,R2SpaceEyeType> matrixProjectionInverse()

      Returns:
        The current inverse projection matrix for an observer

    - #### matrixView

          com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceWorldType,R2SpaceEyeType> matrixView()

      Returns:
        The current view matrix for an observer

    - #### matrixViewInverse

          com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceEyeType,R2SpaceWorldType> matrixViewInverse()

      Returns:
        The current inverse view matrix for an observer

    - #### viewRays

          R2ViewRaysReadableType viewRays()

      Returns:
        The view rays for the current view

Copyright © 2017 <code@io7m.com> http://io7m.com